// This script runs on all frames in the page.

// Here we register a click listener to the non-main document objects (iframes) to
// be able to handle navBar hide. window.frameElement is defined only inside iframes
if (window.frameElement) {

   document.addEventListener("click", function() {
      // Due to the cross-orgin policy we need to go through the background
      chrome.runtime.sendMessage("", { cmd: "closeNavBar" });
   });

}

/*
 * Long-Press
*/

var holdClickX;
var holdClickY;
var longPressActive = false

document.addEventListener("touchmove", function(e){
   if ( longPressActive && ( Math.abs(e.touches[0].screenX - holdClickX) > 40 || Math.abs(e.touches[0].screenY - holdClickY) > 40 ) ) {
      longPressActive = false;
      chrome.runtime.sendMessage("", { cmd: "holdTimerStop" });
   }
});
/*document.addEventListener("mousemove", function(e){
   if ( longPressActive && ( Math.abs(e.clientX - holdClickX) > 40 || Math.abs(e.clientY - holdClickY) > 40 ) ) {
      longPressActive = false;

      console.error("mousemove stop");
      chrome.extension.sendMessage("",{ cmd: "holdTimerStop"});
   }
});*/

document.addEventListener("touchend", function(e){
   if( longPressActive ) {
      longPressActive = false;
      chrome.runtime.sendMessage("", { cmd: "holdTimerStop" });
   }
});
document.addEventListener("mouseup", function(){
   if( longPressActive ) {
      longPressActive = false;
      chrome.runtime.sendMessage("", { cmd: "holdTimerStop" });
   }
});

document.addEventListener("touchstart", function(e){
   holdClickX = e.touches[0].screenX;
   holdClickY = e.touches[0].screenY;

   if ( holdClickX < 100 && holdClickY < 100 ) {
      longPressActive = true;
      chrome.runtime.sendMessage("", { cmd: "holdTimerStart" });
   }
});
document.addEventListener("mousedown", function(e){
   holdClickX = e.screenX;
   holdClickY = e.screenY;

   if ( holdClickX < 100 && holdClickY < 100 ) {
      longPressActive = true;
      chrome.extension.sendMessage("",{ cmd: "holdTimerStart"});
   }
});
