// Loaded on options.html

var extensionInfo = {};

chrome.runtime.onMessage.addListener(function(msg, sender, sendResponse) {
   if ( msg.settings )
      extensionInfo.settings = msg.settings;
});

document.addEventListener("DOMContentLoaded", function() {

   // Get Settings
   chrome.runtime.sendMessage("", { cmd: "getInfo" }, function(info) {

      extensionInfo = info;

      if ( info.tabIndex != 0 ) {
         document.getElementById("back").addEventListener( "click", function(e) {
            chrome.tabs.getCurrent(function(tab) {
               chrome.extension.sendMessage({ cmd: "back" });
            }); 
         });

      } else {
         document.getElementById("back").classList.add("disabled");
      }

      if ( extensionInfo.flags.enableExitButton ) {
         elem = document.getElementById("menu_exit");
         elem.classList.remove("hidden");
         elem.addEventListener( "click", function(e) {
            chrome.tabs.getCurrent(function(tab) {
               chrome.extension.sendMessage({ cmd: "exitChrome" });
            }); 
         });
      }

      document.getElementById("menu_homepage").addEventListener( "click", function(e) {
         if ( info.tabIndex == 0 )
            window.location.href = extensionInfo.settings.homepage;
         else
            chrome.tabs.getCurrent(function(tab) {
               chrome.extension.sendMessage({ cmd: "back", url: extensionInfo.settings.homepage });
            }); 
      });

      document.getElementById("menu_clearCache").addEventListener( "click", function(e) {
         chrome.extension.sendMessage({ cmd: "clearCache" });
      });

   });

   document.getElementById("loginForm").addEventListener( "submit", function(e) { 
      e.preventDefault();
      unixLogin();
      return false; 
   });
});

function unixLogin() {
	
   var passwdElem = document.getElementById("password");
   var passwd = passwdElem.value;
   var user = document.getElementById("user").value;

   passwdElem.value = "";

   if( !user)
      return;

   var xmlHttp = new XMLHttpRequest();
   xmlHttp.onreadystatechange = function() { 
      if (xmlHttp.readyState != 4 )
         return;
		
      if ( xmlHttp.status == 200 )
         chrome.extension.sendMessage({ cmd: "login", user: user, pass: passwd});
      else {
         var errMsg = document.getElementById("Error");
         errMsg.innerHTML = "Login Failed";
         if ( xmlHttp.statusText )
            errMsg.innerHTML += ": " + xmlHttp.statusText;
         errMsg.style.visibility = "visible";
      }
   }

   xmlHttp.open("GET", "http://" + user + ":" + passwd + "@127.0.0.1:8080/rest/api/v1/authentication", true);
   xmlHttp.send(null);
}

